org.apache.log4j.chainsaw.xstream

## Class TableColumnConverter

- java.lang.Object
- - org.apache.log4j.chainsaw.xstream.TableColumnConverter

- All Implemented Interfaces:
    com.thoughtworks.xstream.converters.Converter

      public class TableColumnConverter
      extends Object
      implements com.thoughtworks.xstream.converters.Converter

  XStream Converter implementation that deals with TableColumns settings
  Author:
    psmith
  See Also:
    `Converter`, "XStream", `TableColumn`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableColumnConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvert(Class type)`
    `void` | `marshal(Object source, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
    `Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableColumnConverter

          public TableColumnConverter()

  - ### Method Detail

    - #### canConvert

          public boolean canConvert(Class type)

      Specified by:
        `canConvert` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### marshal

          public void marshal(Object source,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

      Specified by:
        `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### unmarshal

          public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

      Specified by:
        `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.